Skip to content

Transfer Resource

POST
/organizations/{slug}/transfer-resource
curl --request POST \
--url https://api.mengi.cloud/organizations/example/transfer-resource \
--header 'Content-Type: application/json' \
--data '{ "resource_type": "example", "resource_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Transfer a resource to this organization.

The caller must be an ADMIN/OWNER of both the resource’s current organization and the target organization. Transferring a cluster cascades to everything it owns (deployments, databases, and their secrets) so the org-inheritance invariant is preserved.

slug
required
Slug
string
Media typeapplication/json
TransferResourceRequest
object
resource_type
required
Resource Type
string
/^(cluster|deployment|secret|database|cloud_credential|dns_credential)$/
resource_id
required
Resource Id
string format: uuid
Examplegenerated
{
"resource_type": "example",
"resource_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}